Skip to navigation

Confirm receipt of order and update merchant order number

Confirm receipt of the order and optionally provide an order identifier from your merchant system. Successful confirmation will emit a MERCHANT_RECEIVED_ORDER event to optionally be applied in your Channel Workflow. This call can only be made successfully once per order.

Authentication

tokenstring

The Authentication token obtained from the get_token route.

OR
x-api-keystring
The SSO token obtained from the Feedonomics platform SSO token route.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
merchant_order_numberstringOptional

Optional order identifier from your e-commerce system

Response

Updated order values
idstringOptional
Unique identifier for a record
merchant_order_numberstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error